Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6489 - useradd ignores locks made by vipw
Summary: useradd ignores locks made by vipw
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-29 10:16 UTC by Marco Colombo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-23 08:20:16 UTC


Attachments (Terms of Use)

Description Marco Colombo 1999-10-29 10:16:13 UTC
It is possibile to add an user with useradd while someone
else is editing the passwd file with vipw. vipw does acquire
some lock, preventing multiple istances of itself from
running at the same time, but useradd probably uses a
different locking scheme. I understand the two executable
belongs to different packages (shadow-utils-19990827-2 and
util-linux-2.9w-24) but i think they should interact
correctly.

Comment 1 Cristian Gafton 2000-05-22 15:52:59 UTC
assign to laroche

Comment 2 Bernhard Rosenkraenzer 2000-08-08 15:37:57 UTC
Feature added in -18


Note You need to log in before you can comment on or make changes to this bug.